Skip to main content

Update a VictorOps endpoint

PUT 

/v1/endpoints/victorops/:id

Updates a VictorOps notification endpoint or sends a test message to VictorOps. Please ensure to change the region in the URL to match your account's region.

Request​

Path Parameters

    id int32required

    ID of the notification endpoint

Query Parameters

    test boolean

    To send a test message to the endpoint, true. Otherwise, false.

    Note: If set to true, the notification endpoint is not updated. To update the endpoint, you need to send the API request where test=false.

Body

    title string

    Name of the endpoint

    description string

    Detailed description of the endpoint

    routingKey stringrequired

    Alert routing key from VictorOps

    messageType stringrequired

    VictorOps REST API message_type. For more information, see VictorOps knowledge base.

    serviceApiKey stringrequired

    API key from VictorOps

Responses​

successful operation

Schema
    id int32

    ID of the notification endpoint. If the API call was made where test=true, then no changes are made to the endpoint. In this case, the response body contains {"id": -1} to indicate that a test message was sent.

Loading...